Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.exception
Class OracleRulesException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.rules.sdk.exception.OracleRulesException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RulesSDKException, RulesSystemException

public class OracleRulesException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`OracleRulesException(java.lang.String code)`
`OracleRulesException(java.lang.String code, java.lang.String generatedBy)`
`OracleRulesException(java.lang.String code, java.lang.String generatedBy, java.lang.Throwable previous)` Constructors *
`OracleRulesException(java.lang.String code, java.lang.Throwable previous)`

Method Summary
`void` | `addToken(java.lang.Object token)`
`java.lang.Object` | `get(java.lang.String name)` Method to retrieve the property value stored in the exception.
`java.util.List` | `getDetails(java.util.Locale locale)`
`java.lang.String` | `getErrorCode()` Returns the Message/Exception code.
`java.lang.String` | `getMessage()` Method that overrides getMessage() method of the Exception class.
`java.lang.String` | `getMessage(java.util.Locale locale)` Method to retrieve (entire) exception message with a given Locale.
`MessageInfo` | `getMessageInfo()`
`java.lang.String` | `getMessageOnly(java.util.Locale locale)` Method to retrieve exception message only (exclude error code and root cause)
`java.lang.Throwable` | `getPreviousException()`
`java.lang.Throwable` | `getRootException()`
`java.lang.String` | `getRootMessage()` Method to get root exception message.
`java.lang.String` | `getStackTraceAsString()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`
`void` | `set(java.lang.String name, java.lang.Object value)` Method to store some properties in the exception.
`void` | `setDetails(java.util.List details)`
`void` | `setPreviousException(java.lang.Throwable previous)` set the previous exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleRulesException

    public OracleRulesException(java.lang.String code,
                                java.lang.String generatedBy,
                                java.lang.Throwable previous)

  Constructors *

### OracleRulesException

    public OracleRulesException(java.lang.String code)

### OracleRulesException

    public OracleRulesException(java.lang.String code,
                                java.lang.String generatedBy)

### OracleRulesException

    public OracleRulesException(java.lang.String code,
                                java.lang.Throwable previous)

Method Detail

### addToken

    public void addToken(java.lang.Object token)

### getMessage

    public java.lang.String getMessage()

  Method that overrides getMessage() method of the Exception class.
  Returns:
    the message associated with this exception.

### getMessage

    public java.lang.String getMessage(java.util.Locale locale)

  Method to retrieve (entire) exception message with a given Locale. The entire messge includes root cause and error code.

### getDetails

    public java.util.List getDetails(java.util.Locale locale)

### setDetails

    public void setDetails(java.util.List details)

### getMessageOnly

    public java.lang.String getMessageOnly(java.util.Locale locale)

  Method to retrieve exception message only (exclude error code and root cause)

### getRootMessage

    public java.lang.String getRootMessage()

  Method to get root exception message.

### getErrorCode

    public java.lang.String getErrorCode()

  Returns the Message/Exception code.

### setPreviousException

    public void setPreviousException(java.lang.Throwable previous)

  set the previous exception.

### getPreviousException

    public java.lang.Throwable getPreviousException()

### getRootException

    public java.lang.Throwable getRootException()

### getMessageInfo

    public MessageInfo getMessageInfo()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

### getStackTraceAsString

    public java.lang.String getStackTraceAsString()

### set

    public void set(java.lang.String name,
                    java.lang.Object value)

  Method to store some properties in the exception. User can use the properties to compose his own message. In some cases user may not want to display the message coming from the getMessage() method.
  Parameters:
    `name` - the name of the property.
    `value` - the value of the property.

### get

    public java.lang.Object get(java.lang.String name)

  Method to retrieve the property value stored in the exception.
  Parameters:
    `name` - the name of the property.
  Returns:
    the value of the property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.